Mail archive
alpine-user

[alpine-user] Re: Missing libcrypto1.1 in edge?

From: James Osborne <dr.j.osborne_at_gmail.com>
Date: Thu, 22 Nov 2018 18:57:23 +0000

And of course, moments after posting, I think I've found the answer. Looks
like libcrypto1.1 is in edge/main, whereas ntpsec is in edge/testing. Has
this changed recently? Like I mentioned, the build used to work just fine.
How can one keep abreast of package changes like this (if indeed that is
the issue here?)

Thanks

On Thu, 22 Nov 2018 at 18:42, James Osborne <dr.j.osborne_at_gmail.com> wrote:

> Hi,
>
> I'm building a Docker image that requires ntpsec. This build used to work
> (last successful build was 02/10/2018 although it isn't an image I
> regularly build), but today I get the following new error. It looks like
> libcrypto1.1 is missing. I added that as an explicit install per below but
> that hasn't helped. The build log for the library is giving a 404. Does
> anyone have an idea what's wrong?
>
> Thanks,
> James
>
> Step 9/9 : RUN apk --repository
> http://dl-cdn.alpinelinux.org/alpine/edge/testing --no-cache add
> libcrypto1.1 ntpsec
> ---> Running in 5b147abdfec9
> fetch
> http://dl-cdn.alpinelinux.org/alpine/edge/testing/x86_64/APKINDEX.tar.gz
> fetch
> http://dl-cdn.alpinelinux.org/alpine/v3.8/main/x86_64/APKINDEX.tar.gz
> fetch
> http://dl-cdn.alpinelinux.org/alpine/v3.8/community/x86_64/APKINDEX.tar.gz
> ERROR: unsatisfiable constraints:
> libcrypto1.1 (missing):
> required by: world[libcrypto1.1]
> so:libcrypto.so.1.1 (missing):
> required by:
> ntpsec-1.1.1-r2[so:libcrypto.so.1.1]
> ntpsec-1.1.1-r2[so:libcrypto.so.1.1]
> ntpsec-1.1.1-r2[so:libcrypto.so.1.1]
> ntpsec-1.1.1-r2[so:libcrypto.so.1.1]
> ntpsec-1.1.1-r2[so:libcrypto.so.1.1]
> ntpsec-1.1.1-r2[so:libcrypto.so.1.1]
> ntpsec-1.1.1-r2[so:libcrypto.so.1.1]
> ntpsec-1.1.1-r2[so:libcrypto.so.1.1]
> ntpsec-1.1.1-r2[so:libcrypto.so.1.1]
> ntpsec-1.1.1-r2[so:libcrypto.so.1.1]
> ntpsec-1.1.1-r2[so:libcrypto.so.1.1]
> ntpsec-1.1.1-r2[so:libcrypto.so.1.1]
> ntpsec-1.1.1-r2[so:libcrypto.so.1.1]
> ntpsec-1.1.1-r2[so:libcrypto.so.1.1]
> ntpsec-1.1.1-r2[so:libcrypto.so.1.1]
> ntpsec-1.1.1-r2[so:libcrypto.so.1.1]
>



---
Unsubscribe:  alpine-user+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-user+help_at_lists.alpinelinux.org
---
Received on Thu Nov 22 2018 - 18:57:23 UTC